AntlrSourceDirectorySet (Gradle API 9.5.0)
Description: declaration: package: org.gradle.api.plugins.antlr, interface: AntlrSourceDirectorySet

Package org.gradle.api.plugins.antlr

# Interface AntlrSourceDirectorySet

All Superinterfaces:
  `AntBuilderAware`, `Buildable`, `Describable`, `FileCollection`, `FileTree`, `Iterable<File>`, `Named`, `PatternFilterable`, `SourceDirectorySet`

public interface AntlrSourceDirectorySet extends SourceDirectorySet
Contract for a Gradle extension that acts as a handler for what I call a virtual directory mapping, injecting a virtual directory named 'antlr' into the project's various `source sets`.

Since:
  7.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.file.FileCollection

  `FileCollection.AntType`

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  Name of the source set extension contributed by the antlr plugin.

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.Buildable

  `getBuildDependencies`

  ### Methods inherited from interface org.gradle.api.Describable

  `getDisplayName`

  ### Methods inherited from interface org.gradle.api.file.FileCollection

  `addToAntBuilder, addToAntBuilder, contains, filter, filter, getAsPath, getElements, getSingleFile, isEmpty, minus, plus`

  ### Methods inherited from interface org.gradle.api.file.FileTree

  `getAsFileTree, getFiles, matching, matching, matching, plus, visit, visit, visit`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

  ### Methods inherited from interface org.gradle.api.tasks.util.PatternFilterable

  `exclude, exclude, exclude, exclude, getExcludes, getIncludes, include, include, include, include, setExcludes, setIncludes`

  ### Methods inherited from interface org.gradle.api.file.SourceDirectorySet

  `compiledBy, getClassesDirectory, getDestinationDirectory, getFilter, getName, getSourceDirectories, getSrcDirs, getSrcDirTrees, setSrcDirs, source, srcDir, srcDirs`

- ## Field Details

  - ### NAME

    static final String NAME
    Name of the source set extension contributed by the antlr plugin.
    Since:
      8.0
    See Also:
      - Constant Field Values